1

When trying to update my port using:

    sudo port selfupdate: MacPorts base is already the latest version
    sudo port upgrade outdated: Nothing to upgrade.

Then when trying to install Octave:

sudo port install octave
--->  Computing dependencies for octave
--->  Cleaning octave
--->  Scanning binaries for linking errors
--->  Found 130 broken files, matching files to ports    
--->  Found 10 broken ports, determining rebuild order
You can always run 'port rev-upgrade' again to fix errors.
The following ports will be rebuilt:
 qrupdate @1.1.2+accelerate+gcc8
 arpack @3.7.0+accelerate+gfortran
 libgcc7 @7.4.0
 libgcc6 @6.5.0
 gcc5 @5.5.0
 gcc6 @6.5.0
 OpenBLAS @0.3.6+gcc8+lapack
 mpich-default @3.3+gcc5
 octave @5.1.0+accelerate+app+docs+gfortran+graphicsmagick+qt5+sound+sundials
 xcrysden @1.5.60+gcc8
Continue? [Y/n]: 
--->  Computing dependencies for qrupdate
--->  Cleaning qrupdate
--->  Computing dependencies for arpack
--->  Cleaning arpack
--->  Computing dependencies for libgcc7
--->  Cleaning libgcc7
--->  Computing dependencies for libgcc6
--->  Cleaning libgcc6
--->  Computing dependencies for gcc5
--->  Cleaning gcc5
--->  Computing dependencies for gcc6
--->  Cleaning gcc6
--->  Computing dependencies for OpenBLAS
--->  Cleaning OpenBLAS
--->  Computing dependencies for mpich-default
--->  Cleaning mpich-default
--->  Computing dependencies for octave
--->  Cleaning octave
--->  Computing dependencies for xcrysden
--->  Cleaning xcrysden
--->  Scanning binaries for linking errors
--->  Found 130 broken files, matching files to ports    
--->  Found 10 broken ports, determining rebuild order
--->  Rebuilding in order
     qrupdate @1.1.2 +accelerate+gcc8
     arpack @3.7.0 +accelerate+gfortran
     libgcc7 @7.4.0 
     libgcc6 @6.5.0 
     gcc5 @5.5.0 
     gcc6 @6.5.0 
     OpenBLAS @0.3.6 +gcc8+lapack
     mpich-default @3.3 +gcc5
     octave @5.1.0 +accelerate+app+docs+gfortran+graphicsmagick+qt5+sound+sundials
     xcrysden @1.5.60 +gcc8
--->  Computing dependencies for qrupdate
--->  Fetching distfiles for qrupdate
--->  Verifying checksums for qrupdate
--->  Extracting qrupdate
--->  Applying patches to qrupdate
--->  Configuring qrupdate
--->  Building qrupdate
Error: Failed to build qrupdate: command execution failed
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_qrupdate/qrupdate/main.log for details.
Error: rev-upgrade failed: Error rebuilding qrupdate
Error: Follow https://guide.macports.org/#project.tickets to report a bug.

And this is how the log file looks like at the end:

:info:build         -lvecLibFort 
:info:build ld: library not found for -lgcc_ext.10.5
:info:build collect2: error: ld returned 1 exit status
:info:build make[1]: *** [../libqrupdate.dylib] Error 1
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_qrupdate/qrupdate/work/qrupdate-1.1.2/src'
:info:build make: *** [solib] Error 2
:info:build make: *** Waiting for unfinished jobs....
:info:build libtool -o ../libqrupdate.a caxcpy.o cch1dn.o cch1up.o cchdex.o cchinx.o cchshx.o cgqvec.o cqhqr.o cqr1up.o cqrdec.o cqrder.o cqrinc.o cqrinr.o cqrot.o cqrqh.o cqrshc.o cqrtv1.o dch1dn.o dch1up.o dchdex.o dchinx.o dchshx.o dgqvec.o dqhqr.o dqr1up.o dqrdec.o dqrder.o dqrinc.o dqrinr.o dqrot.o dqrqh.o dqrshc.o dqrtv1.o sch1dn.o sch1up.o schdex.o schinx.o schshx.o sgqvec.o sqhqr.o sqr1up.o sqrdec.o sqrder.o sqrinc.o sqrinr.o sqrot.o sqrqh.o sqrshc.o sqrtv1.o zaxcpy.o zch1dn.o zch1up.o zchdex.o zchinx.o zchshx.o zgqvec.o zqhqr.o zqr1up.o zqrdec.o zqrder.o zqrinc.o zqrinr.o zqrot.o zqrqh.o zqrshc.o zqrtv1.o clu1up.o dlu1up.o slu1up.o zlu1up.o clup1up.o dlup1up.o slup1up.o zlup1up.o
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_qrupdate/qrupdate/work/qrupdate-1.1.2/src'
:info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_qrupdate/qrupdate/work/qrupdate-1.1.2'
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_qrupdate/qrupdate/work/qrupdate-1.1.2" && /usr/bin/make -j8 -w lib solib PREFIX=/opt/local LAPACK="" BLAS="-lvecLibFort" 
:info:build Exit code: 2
:error:build Failed to build qrupdate: command execution failed
:debug:build Error code: CHILDSTATUS 24272 2
:debug:build Backtrace: command execution failed
:debug:build     while executing
:debug:build "system {*}$notty {*}$nice $fullcmdstring"
:debug:build     invoked from within
:debug:build "command_exec build"
:debug:build     (procedure "portbuild::build_main" line 8)
:debug:build     invoked from within
:debug:build "$procedure $targetname"
:error:build See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_qrupdate/qrupdate/main.log for details.

Trying

sudo port rev-upgrade

fails as following:

--->  Scanning binaries for linking errors
--->  Found 130 broken files, matching files to ports    
--->  Found 10 broken ports, determining rebuild order
You can always run 'port rev-upgrade' again to fix errors.
The following ports will be rebuilt:
 arpack @3.7.0+accelerate+gfortran
 libgcc7 @7.4.0
 libgcc6 @6.5.0
 gcc5 @5.5.0
 gcc6 @6.5.0
 OpenBLAS @0.3.6+gcc8+lapack
 qrupdate @1.1.2+accelerate+gcc8
 mpich-default @3.3+gcc5
 octave @5.1.0+accelerate+app+docs+gfortran+graphicsmagick+qt5+sound+sundials
 xcrysden @1.5.60+gcc8
Continue? [Y/n]: 
--->  Computing dependencies for arpack
--->  Cleaning arpack
--->  Computing dependencies for libgcc7
--->  Cleaning libgcc7
--->  Computing dependencies for libgcc6
--->  Cleaning libgcc6
--->  Computing dependencies for gcc5
--->  Cleaning gcc5
--->  Computing dependencies for gcc6
--->  Cleaning gcc6
--->  Computing dependencies for OpenBLAS
--->  Cleaning OpenBLAS
--->  Computing dependencies for qrupdate
--->  Cleaning qrupdate
--->  Computing dependencies for mpich-default
--->  Cleaning mpich-default
--->  Computing dependencies for octave
--->  Cleaning octave
--->  Computing dependencies for xcrysden
--->  Cleaning xcrysden
--->  Scanning binaries for linking errors
--->  Found 130 broken files, matching files to ports    
--->  Found 10 broken ports, determining rebuild order
--->  Rebuilding in order
     arpack @3.7.0 +accelerate+gfortran
     libgcc7 @7.4.0 
     libgcc6 @6.5.0 
     gcc5 @5.5.0 
     gcc6 @6.5.0 
     OpenBLAS @0.3.6 +gcc8+lapack
     qrupdate @1.1.2 +accelerate+gcc8
     mpich-default @3.3 +gcc5
     octave @5.1.0 +accelerate+app+docs+gfortran+graphicsmagick+qt5+sound+sundials
     xcrysden @1.5.60 +gcc8
--->  Computing dependencies for arpack
--->  Fetching distfiles for arpack
--->  Verifying checksums for arpack
--->  Extracting arpack
--->  Applying patches to arpack
--->  Configuring arpack
Error: Failed to configure arpack, consult /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_arpack/arpack/work/arpack-ng-3.7.0/config.log
Error: Failed to configure arpack: configure failure: command execution failed
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_math_arpack/arpack/main.log for details.
Error: rev-upgrade failed: Error rebuilding arpack

I am attaching the config.log and main.log files.

How can I fix my problem? Any recommendations are highly appreciated.

  • 1
    Did you run port rev-upgrade as indicated in the output? – nohillside May 22 at 9:37
  • Yes, sorry forgot to mention that. I will edit my entry. – Azade yazdan May 22 at 11:41
  • I would also ask how was Macports installed the broken files and ports tends to suggests something odd has gone on before – Mark May 22 at 18:10
  • The naive interpretation of the error in the title ld: library not found for -lgcc_ext.10.5 is that the libgcc9 port is not installed correctley. – Mark May 22 at 18:34
  • You were correct @Mark, 'sudo port install libgcc9' and then updating the port, solved the problem and I could install octave without any errors. Thanks! – Azade yazdan May 23 at 12:25

You must log in to answer this question.

Browse other questions tagged .